DROP PROCEDURE ActualizaEstadoListaPrecioCli
GO
CREATE PROCEDURE ActualizaEstadoListaPrecioCli
( 
  @PRCLVLCUSTID	 UD_PRCLVLCUSTID,
  @STATUS	BIT
)
AS
BEGIN
    BEGIN TRAN

    	UPDATE 	OP_PRCLVLCUST
       	SET 	STATUS=@STATUS
     	WHERE 	PRCLVLCUSTID=@PRCLVLCUSTID

    IF (@@error!=0 or @@rowcount=0)
    BEGIN
        ROLLBACK TRAN
        RETURN(1)
    
    END

    COMMIT TRAN

    RETURN(0)
END